﻿using DesktopTools.Models;

namespace DesktopTools.Interfaces
{
	/// <summary>
	/// Работа с generic-контролом элемента
	/// </summary>
	public interface IGenericControlEntityElement
	{
		/// <summary>
		/// Новый экземпляр контрола
		/// </summary>
		/// <returns></returns>
		IControl GetInstanceGenericControl();

		/// <summary>
		/// Получение настроек
		/// </summary>
		/// <returns></returns>
		ControlViewEntityElementConfiguration GetConfigControl();
	}
}