﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с дисциплинами
	/// </summary>
	public class DisciplineBusinessLogic : GenericBusinessLogic<DisciplineGetBindingModel, DisciplineSetBindingModel, DisciplineListViewModel, DisciplineViewModel>
	{
		public DisciplineBusinessLogic(IDisciplineService service) : base(service, "Аудитории", AccessOperation.Дисциплины) { }
	}
}