﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с учеными званиями
	/// </summary>
	public class LecturerAcademicRankBusinessLogic : GenericBusinessLogic<LecturerAcademicRankGetBindingModel, LecturerAcademicRankSetBindingModel, LecturerAcademicRankListViewModel, LecturerAcademicRankViewModel>
	{
		public LecturerAcademicRankBusinessLogic(ILecturerAcademicRankService service) : base(service, "Преподаватели", AccessOperation.Преподаватели) { }
	}
}