﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для блока дисциплин
	/// </summary>
	public partial class ControlDisciplineBlockElement :
		GenericControlEntityElement<DisciplineBlockGetBindingModel, DisciplineBlockSetBindingModel, DisciplineBlockListViewModel, DisciplineBlockViewModel, DisciplineBlockBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlDisciplineBlockElement()
		{
			InitializeComponent();
			Title = "Блок дисципилн";
			ControlId = new Guid("8e2032c5-1412-4ccd-855c-f0b0836e3599");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlDisciplineBlockElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}