﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с направлениями обучений
	/// </summary>
	public class EducationDirectionBusinessLogic : GenericBusinessLogic<EducationDirectionGetBindingModel, EducationDirectionSetBindingModel, EducationDirectionListViewModel, EducationDirectionViewModel>
	{
		public EducationDirectionBusinessLogic(IEducationDirectionService service) : base(service, "Направления Обучений", AccessOperation.НаправленияОбучений) { }
	}
}