﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для направления обучения
	/// </summary>
	public partial class ControlEducationDirectionElement :
		GenericControlEntityElement<EducationDirectionGetBindingModel, EducationDirectionSetBindingModel, EducationDirectionListViewModel, EducationDirectionViewModel, EducationDirectionBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlEducationDirectionElement()
		{
			InitializeComponent();
			Title = "Нправление обучения";
			ControlId = new Guid("77cf42dc-e13d-4c4f-b6b2-509f1f8ae2a6");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEducationDirectionElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}